libglom-1.20 1.19.12

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# Glom::FieldTypes Class Reference

Collaboration diagram for Glom::FieldTypes:
[legend]

List of all members.

## Public Member Functions
| FieldTypes (const Glib::RefPtr< Gnome::Gda::Connection >& gda_connection)
virtual | ~FieldTypes ()
Glib::ustring | get_string_name_for_gdavaluetype (GType field_type) const
GType | get_fallback_type_for_gdavaluetype (GType field_type) const

## Constructor & Destructor Documentation

Glom::FieldTypes::FieldTypes | ( | const Glib::RefPtr< Gnome::Gda::Connection > & | gda_connection | ) |

virtual Glom::FieldTypes::~FieldTypes | ( |  | ) | `[virtual]`

## Member Function Documentation

GType Glom::FieldTypes::get_fallback_type_for_gdavaluetype | ( | GType | field_type | ) | const

Glib::ustring Glom::FieldTypes::get_string_name_for_gdavaluetype | ( | GType | field_type | ) | const

The documentation for this class was generated from the following file:

- libglom/data_structure/fieldtypes.h